<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Go to the textual class hierarchy</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" usemap="#CardWidget" alt=""/>
<map name="CardWidget" id="CardWidget">
<area shape="rect" title=" " alt="" coords="5,5,112,32"/>
<area shape="rect" href="classCardWidget.html" title=" " alt="" coords="160,5,259,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" usemap="#Chat" alt=""/>
<map name="Chat" id="Chat">
<area shape="rect" title=" " alt="" coords="5,5,84,32"/>
<area shape="rect" href="classChat.html" title=" " alt="" coords="132,5,184,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" usemap="#ChatBackend" alt=""/>
<map name="ChatBackend" id="ChatBackend">
<area shape="rect" href="classChatBackend.html" title=" " alt="" coords="5,5,112,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" usemap="#Config" alt=""/>
<map name="Config" id="Config">
<area shape="rect" href="classConfig.html" title=" " alt="" coords="5,5,68,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_4.png" border="0" usemap="#Game" alt=""/>
<map name="Game" id="Game">
<area shape="rect" href="classGame.html" title=" " alt="" coords="5,5,67,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_5.png" border="0" usemap="#GameStateService" alt=""/>
<map name="GameStateService" id="GameStateService">
<area shape="rect" title=" " alt="" coords="5,31,80,57"/>
<area shape="rect" href="classGameStateService.html" title=" " alt="" coords="128,5,271,32"/>
<area shape="rect" href="classSettingsService.html" title=" " alt="" coords="138,56,261,83"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_6.png" border="0" usemap="#Handler" alt=""/>
<map name="Handler" id="Handler">
<area shape="rect" href="classHandler.html" title=" " alt="" coords="5,5,79,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_7.png" border="0" usemap="#HostGame" alt=""/>
<map name="HostGame" id="HostGame">
<area shape="rect" title=" " alt="" coords="5,107,121,133"/>
<area shape="rect" href="classHostGame.html" title=" " alt="" coords="177,5,268,32"/>
<area shape="rect" href="classLobby.html" title=" " alt="" coords="192,56,253,83"/>
<area shape="rect" href="classMainWindow.html" title=" " alt="" coords="169,107,276,133"/>
<area shape="rect" href="classSettings.html" title=" " alt="" coords="185,157,260,184"/>
<area shape="rect" href="classTable.html" title=" " alt="" coords="195,208,251,235"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_8.png" border="0" usemap="#HttpStatus" alt=""/>
<map name="HttpStatus" id="HttpStatus">
<area shape="rect" href="structHttpStatus.html" title=" " alt="" coords="5,5,96,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_9.png" border="0" usemap="#MoxitServer" alt=""/>
<map name="MoxitServer" id="MoxitServer">
<area shape="rect" href="classMoxitServer.html" title=" " alt="" coords="5,5,107,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_10.png" border="0" usemap="#MyDelegate" alt=""/>
<map name="MyDelegate" id="MyDelegate">
<area shape="rect" title=" " alt="" coords="5,5,168,32"/>
<area shape="rect" href="classMyDelegate.html" title=" " alt="" coords="216,5,317,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_11.png" border="0" usemap="#NetworkService" alt=""/>
<map name="NetworkService" id="NetworkService">
<area shape="rect" href="classNetworkService.html" title=" " alt="" coords="5,5,131,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_12.png" border="0" usemap="#Player" alt=""/>
<map name="Player" id="Player">
<area shape="rect" href="classPlayer.html" title=" " alt="" coords="5,5,68,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_13.png" border="0" usemap="#Request" alt=""/>
<map name="Request" id="Request">
<area shape="rect" href="classRequest.html" title=" " alt="" coords="5,5,80,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_14.png" border="0" usemap="#RequestHeader" alt=""/>
<map name="RequestHeader" id="RequestHeader">
<area shape="rect" href="classRequestHeader.html" title=" " alt="" coords="5,5,128,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_15.png" border="0" usemap="#Response" alt=""/>
<map name="Response" id="Response">
<area shape="rect" href="classResponse.html" title=" " alt="" coords="5,5,91,32"/>
</map>
</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
